@Echo Off
Rem verif variables:


if ["%PETALS_HOME%"]==[] goto setpetalshome
if ["%JAVA_HOME%"]==[] goto setjavahome

goto loop_on_args

goto :EOF

:setpetalshome
echo The PETALS_HOME variable is not set. Please initialise it in your environment.
goto :EOF

:setjavahome
echo The JAVA_HOME variable is not set. Please initialise it in your environment.
goto :EOF



Rem recuperation des options du script:


if [%1]==[]   goto no_arg

:loop_on_args
Set VALUE=%~1
if [%1]==[-h]   goto help
set ARGS=%ARGS% %1
goto next_arg


:next_arg
shift
if not [%1]==[] goto loop_on_args

if [%MODE%]==[] goto no_arg

:help
echo The stop.sh script is used to stop Petals.
echo usage : stop.sh [-h]
echo          -h : prints the help message
goto :EOF

:no_arg
echo Stopping Petals
java -Xmx256m -jar %PETALS_HOME%/bin/server.jar stop
echo Petals stopped.