@Echo Off
Rem verif variables:

if ["%PETALS_HOME%"]==[] goto setpetalshome
if ["%JAVA_HOME%"]==[] goto setjavahome

goto loop_on_args

goto :EOF

:setpetalshome
echo The PETALS_HOME variable is not set. Please initialise it in your environment.
goto :EOF

:setjavahome
echo The JAVA_HOME variable is not set. Please initialise it in your environment.
goto :EOF



Rem recuperation des options du script:


if [%1]==[]   goto no_arg

:loop_on_args
Set VALUE=%~1
if [%1]==[-h]   goto help
if [%1]==[-C]   goto commandLine
if [%1]==[-D]   goto debug
set ARGS=%ARGS% %1
goto next_arg


:next_arg
shift
if not [%1]==[] goto loop_on_args
if [%MODE%]==[] goto start

:help
echo The startup.sh script is used to start Petals.
echo usage : startup.sh [-h] [C|D]
echo          -h : prints the help message
echo          -C : Petals is starting with command line
echo		  -D : Petals is started in debug mode (remote port=8000)
goto :EOF

:commandLine
Set cmdline=-console
goto :start

:debug
echo The DEBUG mode is activated
set DEBUG_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=n
goto :start

:start
echo Starting Petals
java -Xmx1024m %DEBUG_OPTS% -jar %PETALS_HOME%/bin/server.jar %cmdline% %1 %2
echo Petals started.